Subject: [Sigtran] M2PA: Link alignment when proving omitted

From: "Soni Goel" <[email-masked]>
Date: Fri, 29 Jun 2007 10:57:24 -0700

Hi,

This is regarding the Link alignment when proving is omitted. 
As per message flow given below, link is not able to come in-service
because M2PA-2 receives Link status Align after sending Link Status
Ready.

I would suggest M2PA-2 to resend Ready on receiving Align, while timer
T1 is running. This is as per following statement in RFC 4165, Section
4.1.3 Link Alignment -
"If the Link Status Ready message is sent, then M2PA MAY send additional
Link Status Ready messages while timer T1 is running."

Please let me know your feedback.

  MTP3-1      M2PA-1      SCTP-1      SCTP-2      M2PA-2      MTP3-2
  ----        ----        ----        ----        ----        ----
   .           .           .           .           .           .
   Start       .           .           .           .           .
   ------------>           .           .           .           .
   .           Associate   .           .           .           .
   .           ------------>           .           .           .
   .           .           .           .           .           .
   .           .           (SCTP Association       .           .
   .           .            procedure)             .           .
   .           .           .           .           .           .
   .           Communication Up        Communication Up        .
   .           <------------           ------------>           .
   .           .           .           .           .           .
   .           Link Status Out of Service          .           .
   .           ------------------------------------>           .
   .           .           .           .           .           .
   .           Link Status Alignment   .           .           .
   .           ------------------------------------>           .
   .           .           .           .           .           .
   .           Start timer T2          .           .           .
   .           .           .           .           .           .
   .           .          Link Status Out of Service           .
   .           <------------------------------------           .
   .           Link Status Alignment   .           .           .
   .           ------------------------------------>           .
   .           .          Link Status Out of Service           .
   .           <------------------------------------           .
   .           Link Status Alignment   .           .           .
   .           ------------------------------------>           .
   .           .       Link Status Out of Service(2)           .
   .           <------------------------------------           .
   .           .           .           .           .       Start
   .           .           .           .           <------------
   .           .           . Link Status Alignment(2)          .
   .           <------------------------------------           .
   .           .           .           .           .           .
   .      Link Status Alignment(response to Out of Service(2)) .
   .           ------------------------------------>           .
   .           .           .           .   Start timer T1
   .           .           .    Link Status Ready(2)           .
   .           <------------------------------------           .
   .           .           .           .           .           .
   .           Stop timer T2           .           .           .
   .        Link Status Alignment(response to Alignment(2))    .
   .           ------------------------------------>           .
   .           .           .           .  Link fails due to    .
   .           .           .           .  Alignment received in.
   .           .           .           .  Ready state          .
   .           .           .           .                       .
   .           .          Link Status Out of Service           .
   .           <------------------------------------           .
   .           .           .           .           .           .
   .           .           .           .           .           .
   .      Link inservice(received Ready(2))        .           .
   .      Link Status Ready(response to Ready(2))  .           .
   .           ------------------------------------>           .
   .           .           .           .           .           .
   .           .           .           .           .           .
   .      Link Failure (received Out of Service from M2PA-2)   .
   .           Link Status Out of Service          .           .
   .           ------------------------------------>           .
   .           .           .           .           .           .
   .           .           .           .           .           .

Thanks,
Soni

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 29 Jun 2007 12:48:19 -0600

Soni,

Soni Goel wrote:                        (Fri, 29 Jun 2007 10:57:24)

-X-snip-X-

>    .        Link Status Alignment(response to Alignment(2))    .

-X-snip-X-

Make M2PA-2 not do that.

There is no reason to fail a link when LSA is received in LS Ready
state when there is no proving.  M2PA-2 has an implementation error.

Also, M2PA-2 will fail test case 3.1.5.3 and 3.1.5 4 in the M2PA test
suite: draft-bidulock-sigtran-m2pa-test-08.txt

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 29 Jun 2007 13:01:40 -0600

Soni,

>   MTP3-1      M2PA-1      SCTP-1      SCTP-2      M2PA-2      MTP3-2

OTOH, why is M2PA-1 sending LSA "in response to Out of Service"?
LSA is sent in response to "Start".  Make M2PA-1 ignore LSOOS in
Not-Aligned state.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Soni Goel" <[email-masked]>
Date: Fri, 29 Jun 2007 12:22:37 -0700

Hi Brian,

Your question:

Answer: M2PA-2 has not yet received start. M2PA-1 needs to restart Timer
T2 and resend LSA, otherwise T2 will expire at M2PA-1 causing link
failure.

Later when M2PA-2 receives start and sends LSA, M2PA-1 will respond with
only LSOOS.

This is also as per following test case in
draft-bidulock-sigtran-m2pa-test-08.txt -
3.1.2.  Timer T2
___________________________________________________________________
  |                                                                   |
  | CPT: IOT:        SP B                      SP A                   |
  | VAT:               PT                      IUT                    |
  |                                                                   |
  |                        <-----------------  OUT-OF-SERVICE         |
  |        OUT-OF-SERVICE  ----------------->                         |
  |                                            :start                 |
  |                        <-----------------  ALIGNMENT              |
  | (Note) OUT-OF-SERVICE  ----------------->                         |
  |                        <-----------------  ALIGNMENT (Note)       |
  |                              !                                    |
  |                              !  T2         5.0 <= T2 <= 150.0     |
  |                              !                                    |
  |                        <-----------------  OUT-OF-SERVICE         |
  |                                            !out of service(AERM)  |
  |                                                                   |
  |___________________________________________________________________|

Thanks,
Soni

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Friday, June 29, 2007 12:02 PM
To: Soni Goel
Cc: [email-masked]
Subject: Re: [Sigtran] M2PA: Link alignment when proving omitted

Soni,

Soni Goel wrote:
(Fri, 29 Jun 2007 10:57:24)

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 29 Jun 2007 13:39:06 -0600

Soni,

Soni Goel wrote:                                                      (Fri, 29 Jun 2007 12:22:37)
> T2 and resend LSA, otherwise T2 will expire at M2PA-1 causing link

That is the point of T2: that it expire and cause alignment failure
if LSA is not received before it expires.  It should not be restarting
T2 in response, nor resending LSA.  It should ignore LS-OOS when received
in No-Aligned state (no proving).

> draft-bidulock-sigtran-m2pa-test-08.txt -

And the note says that each side may send additional OUT-OF-SERVICE
or ALIGNMENT messages, but neither are in response to each other.

In particular RFC 4165/4.1.3:

   The Link Status Alignment message replaces the SIO message of MTP2.
   This message is sent to signal the beginning of the alignment
   procedure.  The Link Status Alignment message SHOULD NOT be
   transmitted continuously.  M2PA MAY send additional Link Status
   Alignment until it receives Link Status Alignment, Link Status
   Proving Normal, or Link Status Proving Emergency from the peer.

Your diagram looks like it is being sent in response to each LSOOS
and the then when the other end gets LSA it "responds" with LSOOS.
That sounds like continuous to me.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Soni Goel" <[email-masked]>
Date: Fri, 29 Jun 2007 13:25:08 -0700

Hi Brian,

I understand your point. LSA should not be resent and timer T2 not
restarted when M2PA is in Initial Alignment.

When timer T2 expires, an out-of-service indication sent to MTP3. Now
the alignment procedure will be restarted at M2PA only when MTP3 retries
start to M2PA.

Some more queries as follows -
1) Above understanding should be valid for both proving or no proving
right?
If not, why?

2) On similar grounds, M2PA in Out-of-service state, should also not
send LSOOS in "response to" LSOOS received from peer because this will
again cause continuous transmission of LSOOS messages. This should again
be valid for both proving or no proving right? If not why?

3) M2PA may resend LSA (Not Aligned state, timer T2 running) or LSOOS
(Out-of-service state) at some implementation dependent periodic
interval. Right?

4) M2PA in Aligned Ready state should ignore any LSA messages, in case
of only "no proving". 
If proving is enabled, it will be done successfully before Ready is sent
to peer, and if LSA is received now, the link needs to be
out-of-service. Right?

Thanks,
Soni
-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Friday, June 29, 2007 12:39 PM
To: Soni Goel
Cc: [email-masked]
Subject: Re: [Sigtran] M2PA: Link alignment when proving omitted

Soni,

Soni Goel wrote:
(Fri, 29 Jun 2007 12:22:37)

That is the point of T2: that it expire and cause alignment failure
if LSA is not received before it expires.  It should not be restarting
T2 in response, nor resending LSA.  It should ignore LS-OOS when
received
in No-Aligned state (no proving).

>   |
|
>   | CPT: IOT:        SP B                      SP A
|
>   | VAT:               PT                      IUT
|
>   |
|
>   |                                            :start
|

--brian

>   |                              !
|
>   |                              !
|
>   |                                            !out of service(AERM)
|
>   |
|

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/